<?php 
session_start();

date_default_timezone_set('America/Lima');
require_once ("../../config/Cado.php");

?>

  <div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Cambio Clave
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Mantenimiento</li>
				<li class="breadcrumb-item" >General</li>
				<li class="breadcrumb-item active">Cambio Clave</li>
            </ol>
          </div>
		</div>
	</div>
</div>

<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-4 col-md-12 col-sm-12 col-xs-12">
		    <div class="card">
		        <div class="card-header">
		       
				<div class="row">
			
				
				<div class="col-lg-12 col-sm-6 col-xs-6">
						<label>Clave Actual:</label>
						<input type="password" id="txt_camcla_claact" name="txt_camcla_claact" value="<?php echo $diaven; ?>" class="form-control  input-sm" /> 
				</div>
				
				
				<div class="col-lg-12 col-md-12 col-12" style="padding:20px;"></div> 
				
				<div class="col-lg-12 col-sm-6 col-xs-6">
						<label>Usuario Nuevo:</label>
						<input type="text" id="txt_camcla_nueusu" name="txt_camcla_nueusu" value="<?php echo $tel; ?>" class="form-control  input-sm" /> 
				</div>
				
				<div class="col-lg-12 col-sm-6 col-xs-6">
						<label>Clave Nueva:</label>
						<input type="password" id="txt_camcla_clanue" name="txt_camcla_clanue" value="<?php echo $cuebcp; ?>" class="form-control  input-sm" /> 
				</div>
				
				<div  class="col-lg-2 col-sm-5 col-xs-12" style="display: inline-block; white-space: nowrap;padding-top:30px;">								
						<button id="btn_agregar" onClick="actualizar_cambioclave();" class="btn btn-primary">GUARDAR</button>		
						<!--
						<button onClick="" style="cursor:pointer" id="btn_actualizar" class="btn btn-default" >RESTABLECER</button>																
						-->
				</div> 
							
				
				</div>
				
				
				</div>
		    </div>
		</div>
	</div>
	</div>
</section>
	

<script type="text/javascript">




function actualizar_cambioclave(){
		$.ajax({
 					type: "POST",
 					url: "../cambioclave/cambioclave_reg.php",
 					async:true,
 					dataType: "json",                      
 					data: ({						
 						
 						usu_nue:$('#txt_camcla_nueusu').val(),
 						clave_act:$('#txt_camcla_claact').val(),
 						clave_nue:$('#txt_camcla_clanue').val(),	
 						action:	'actualizar'
 					}),
 					beforeSend: function() {
 						
 					},
 					success: function(data){			
 						if(data.est==1){
							toastr["success"](data.msj);
						}
						
						if(data.est==0){
							toastr["error"](data.msj);
						}
						
 					},
 					complete: function(){
							$("#contenido").load("../cambioclave/cambioclave_vista.php");
 						}
 					});
}



$(function() {
	
	$('#btn_actualizar').click(function() {
		$("#contenido").load("../cambioclave/cambioclave_vista.php");
	});
	
	setTitle("CAMBIO CLAVE - "+nombreEmpresa);	
});
</script>
